package org.eclipse.jdt.internal.compiler.batch;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.HashMap;
import java.util.Locale;
import java.util.ResourceBundle;
import org.eclipse.jdt.internal.compiler.batch.Main;

public class ResourceBundleFactory {
  private static HashMap Cache = new HashMap<>();
  
  public static synchronized ResourceBundle getBundle(Locale locale) {
    ResourceBundle bundle = (ResourceBundle)Cache.get(locale);
    if (bundle == null) {
      bundle = ResourceBundle.getBundle("org.eclipse.jdt.internal.compiler.batch.messages", locale);
      Cache.put(locale, bundle);
    } 
    return bundle;
  }
}
